# Poco::Net

# class CertificateHandlerFactoryMgr

Library: NetSSL_OpenSSL
Package: SSLCore
Header: Poco/Net/CertificateHandlerFactoryMgr.h

## Description

A CertificateHandlerFactoryMgr manages all existing CertificateHandlerFactories.

## Member Summary

Member Functions: getFactory, hasFactory, removeFactory, setFactory

## Types

### FactoriesMap

typedef std::map < std::string, Poco::SharedPtr < CertificateHandlerFactory > > FactoriesMap;

## Constructors

### CertificateHandlerFactoryMgr

CertificateHandlerFactoryMgr();

Creates the CertificateHandlerFactoryMgr.

## Destructor

### ~CertificateHandlerFactoryMgr

~CertificateHandlerFactoryMgr();

Destroys the CertificateHandlerFactoryMgr.

## Member Functions

### getFactory

const CertificateHandlerFactory * getFactory(
const std::string & name
) const;

Returns NULL if for the given name a factory does not exist, otherwise the factory is returned

### hasFactory

bool hasFactory(
const std::string & name
) const;

Returns true if for the given name a factory is already registered

### removeFactory

void removeFactory(
const std::string & name
);

Removes the factory from the manager.

### setFactory

void setFactory(
const std::string & name,
CertificateHandlerFactory * pFactory
);

Registers the factory. Class takes ownership of the pointer. If a factory with the same name already exists, an exception is thrown.